> For the complete documentation index, see [llms.txt](https://docs.tryterra.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tryterra.co/vantage-api-reference/core-resources/clients.md).

# Clients

## Update webhook URL

> Update or clear the webhook URL for the authenticated client. The webhook URL must use HTTPS if provided, or can be empty to clear it. Note this means webhooks will no longer be sent to your previous endpoint

```json
{"openapi":"3.1.1","info":{"title":"Terra Blood DNA Device API","version":"1.0"},"servers":[{"url":"https://vantage.tryterra.co"}],"security":[{"BasicAuth":[]}],"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic"}},"schemas":{"api_v1_internal_server_handler_clients.ClientResponse":{"type":"object","properties":{"client_id":{"type":"string"},"customer_id":{"type":"string"},"webhook_url":{"type":"string"}}},"errors.ProblemDetail":{"description":"Standard error response format following RFC 7807 specification","type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string"},"status":{"type":"integer"},"title":{"type":"string"},"type":{"type":"string"}}},"errors.AuthenticationError":{"description":"Authentication error response (401)","type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string"},"status":{"type":"integer"},"title":{"type":"string"},"type":{"type":"string"}},"required":["detail","status","title","type"]},"api_v1_internal_server_handler_clients.UpdateWebhookUrlRequest":{"type":"object","properties":{"webhook_url":{"type":"string"}}}}},"paths":{"/clients/webhook-url":{"patch":{"summary":"Update webhook URL","tags":["clients"],"description":"Update or clear the webhook URL for the authenticated client. The webhook URL must use HTTPS if provided, or can be empty to clear it. Note this means webhooks will no longer be sent to your previous endpoint","responses":{"200":{"description":"Webhook URL updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/api_v1_internal_server_handler_clients.ClientResponse"}}}},"400":{"description":"Bad request - invalid URL format or validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}},"401":{"description":"Unauthorized - invalid client credentials","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors.AuthenticationError"}}}},"404":{"description":"Client not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/api_v1_internal_server_handler_clients.UpdateWebhookUrlRequest"}}},"description":"Webhook URL update request","required":true}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tryterra.co/vantage-api-reference/core-resources/clients.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
